[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.ReloadDockedControl

Returns the docked control of the specified name.

## Declaration

Source position: controls.pp line 2249

`protected procedure TWinControl.ReloadDockedControl(`
`const AControlName: string;`
`var AControl: TControl`
`); virtual;`

## Arguments

`AControlName` |  | The name of the control to be docked.
`AControl` |  | The matching control.

## Description

This method is used during the restore of the layout of a docksite.

The control is searched in the controls owned by the owner of the docksite.

Override to search other places, or to create a control of the requested name.